﻿

<div class="jumbotron">
    <h1>Bem vindo</h1>
    <p class="lead">Escolha uma funcionalidade.</p>


    <div id="formBase">

    </div>

</div>

<div class="row">


    <div class="col-md-2">
        <h2>Create</h2>
        <p>Criar Usuario.</p>
        <p><div class="btn btn-default" id="BtnTelaCriar">Criar &raquo;</div></p>
    </div>

    <div class="col-md-2">
        <h2>Realizar Deposito</h2>
        <p>Realizar uma operação de Depósito.</p>
        <p><div class="btn btn-default" id="BtnTelaDeposito">Depósito &raquo;</div></p>
    </div>
    <div class="col-md-2">
        <h2>Realizar Saque</h2>
        <p>Realizar uma operação de Saque .</p>
        <p><div class="btn btn-default" id="BtnTelaSaque">Saque &raquo;</div></p>
    </div>
    <div class="col-md-2">
        <h2>DashBoard</h2>
        <p>Dados do cliente .</p>
        <p><div class="btn btn-default" id="BtnDash">Dashboard &raquo;</div></p>
    </div>

</div>

<script type="text/javascript">


    $().ready(function () {

        $('#BtnTelaSaque').click(
            function () {
                MontarFormSaque()
            }
        );

        $('#BtnTelaDeposito').click(
            function () {
                MontarFormDeposito()
            }
        );

        $('#BtnTelaCriar').click(
            function () {
                MontarFormCliente();
            }
        );

        $('#BtnDash').click(
            function () {
                MontarFormDash();
            }
        );
    });


    function MontarFormDash() {
        var textHTML = '<div id="FormDash">' +
            '<div class="row">' +
            '<div class="col-md-4">' +
            '<label>CPF:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fCPF" />' +
            '</div>' +
            '<div class="col-md-4">' +
            '<p><div class="btn btn-primary btn-lg" onclick="BuscarDashBoard()">Buscar</div></p>' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-4">' +
            '<h2 id="txtNome"></h2>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<h2 id="txtSaldo"></h2>' +
            '</div>' +
            '</div>' +
            '<div class="row" id="AquiTbl">' +
            '</div>' +
            '</div>';

        $('#formBase').empty();
        $("#formBase").html(textHTML);

    }


    function MontarFormCliente() {
        var textHTML = '<div id="formBase">' +
            '<div id="DivFormCliente">' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>CPF:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fCPF" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>Nome:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fname" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '</div>' +
            '<div class="col-md-4" style="margin-top:2%">' +
            '<p><div class="btn btn-primary btn-lg" onclick="CriarUser()">Enviar</div></p>' +
            '</div>' +
            '</div>' +
            '</div>' +
            '</div>';

        $('#formBase').empty();
        $("#formBase").html(textHTML);

    }

    function MontarFormDeposito() {
        var textHTML = '<div id="formBase">' +
            '<div id="DivFormCliente">' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>CPF:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fCPF" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>Valor:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fValor" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '</div>' +
            '<div class="col-md-4" style="margin-top:2%">' +
            '<p><div class="btn btn-primary btn-lg" onclick="CriarDeposito()">Enviar</div></p>' +
            '</div>' +
            '</div>' +
            '</div>' +
            '</div>';

        $('#formBase').empty();
        $("#formBase").html(textHTML);
    }

    function MontarFormSaque() {
        var textHTML = '<div id="formBase">' +
            '<div id="DivFormCliente">' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>CPF:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fCPF" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '<label>Valor:</label>' +
            '</div>' +
            '<div class="col-md-4">' +
            '<input type="text" id="fValor" />' +
            '</div>' +
            '</div>' +
            '<div class="row">' +
            '<div class="col-md-2">' +
            '</div>' +
            '<div class="col-md-4" style="margin-top:2%">' +
            '<p><div class="btn btn-primary btn-lg" onclick="CriarSaque()">Enviar</div></p>' +
            '</div>' +
            '</div>' +
            '</div>' +
            '</div>';

        $('#formBase').empty();
        $("#formBase").html(textHTML);
    }

    function CriarSaque() {
        var valor = $('#fValor').val();

        var cpf = $('#fCPF').val();

        $.ajax({
            url: 'http://localhost:60661/RealizarSaque?cpf=' + cpf + '&valor=' + valor,
            method: 'post',
            success: function (responseText, textStatus, responseData) {
                alert('Saque realizado com sucesso.')
                $('#fValor').val('');
                $('#fCPF').val('');
            },
            error: function (responseText, textStatus, responseData) {

                alert(responseText.responseJSON.ExceptionMessage);
            },
            cache: false
        });
    }

    function CriarDeposito() {
        var valor = $('#fValor').val();

        var cpf = $('#fCPF').val();

        $.ajax({
            url: 'http://localhost:60661/RealizarDeposito?cpf=' + cpf + '&valor=' + valor,
            method: 'post',
            success: function (responseText, textStatus, responseData) {
                alert('Deposito Inserido com sucesso.')
                $('#fValor').val('');
                $('#fCPF').val('');
            },
            error: function (responseText, textStatus, responseData) {

                alert(responseText.responseJSON.ExceptionMessage);
            },
            cache: false
        });
    }

    function BuscarDashBoard() {
        var cpf = $('#fCPF').val();

        $.ajax({
            url: 'http://localhost:60661/ObterDashBoard?cpf=' + cpf + '',
            method: 'post',
            success: function (responseText, textStatus, responseData) {
                construirDash(responseText);
            },
            error: function (responseText, textStatus, responseData) {

                alert(responseText.responseJSON.ExceptionMessage);
            },
            cache: false
        });
    }

    function construirDash(responseText) {
        $('#txtNome').html(responseText.Nome);
        $('#txtSaldo').html('Saldo Atual:' + responseText.SaldoAtual);

        var tbl = '<table class="col-md-8">';

        for (var i = 0; i < responseText.Movimentos.length; i++) {

            var item = responseText.Movimentos[i];
            tbl += '<tr>';
            tbl += '<td>' + item.TipoMovimento + '</td>';
            tbl += '<td>' + item.DataMovimento + '</td>';
            tbl += '<td>' + item.Saldo + '</td>';
            tbl += '</tr>';
        }

        tbl += '</table >';

        $('#AquiTbl').empty();
        $("#AquiTbl").html(tbl);
    }
    function CriarUser() {

        var nome = $('#fname').val();

        var cpf = $('#fCPF').val();

        $.ajax({
            url: 'http://localhost:60661/Criar?cpf=' + cpf + '&nome=' + nome,
            method: 'post',
            success: function (responseText, textStatus, responseData) {
                alert('Cliente Inserido com sucesso.')
                $('#fname').val('');
                $('#fCPF').val('');
            },
            error: function (responseText, textStatus, responseData) {

                alert(responseText.responseJSON.ExceptionMessage);
            },
            cache: false
        });

    }

</script>
